#!/usr/bin/perl

use strict;
use Sys::Hostname;

print "Content-type: text/plain\n\n" .
"Hostname returned by various sources of information:\n";

my $fb = hostname();

map {
    my ($mn,$hn) = &$_;
    print "method=`$mn', without fallback: `$hn', with fallback: `" .
	($hn ? $hn : $fb) . "'\n";
} (
    sub { ('Sys::Hostname',hostname());},
    sub { my $hn = `/bin/hostname`; chomp $hn;('/bin/hostname',$hn);} ,
    sub { my $hn = `uname -n 2>/dev/null`; chomp $hn; ('/bin/uname',$hn); },
    sub { ('env_http_host',$ENV{HTTP_HOST});},
    sub { ('env_server_name',$ENV{SERVER_NAME}); }
);

